Expand my Community achievements bar.

July 31st AEM Gems Webinar: Elevate your AEM development to master the integration of private GitHub repositories within AEM Cloud Manager.
SOLVED

Will React module works on aem 6.5.0 with archtype 26

Avatar

Level 8

Hi, 

I have a doubt will react module works on aem 6.5.0 with archtype 26,

I created project with this cmnd

mvn -B archetype:generate
-D archetypeGroupId=com.adobe.aem
-D archetypeArtifactId=aem-project-archetype
-D archetypeVersion=26
-D appTitle="WKND SPA React"
-D appId="wknd-spa-react"
-D artifactId="aem-guides-wknd-spa.react"
-D groupId="com.adobe.aem.guides.wkndspa.react"
-D frontendModule="react"
-D aemVersion="6.5.0"

 

 

1 Accepted Solution

Avatar

Correct answer by
Community Advisor

Hi @Vani1012 

wknd-spa-react works with AEM 6.5.0 with archetype 26. Please refer below

1. Building project with the command 

mvn -B archetype:generate -D archetypeGroupId=com.adobe.aem -D archetypeArtifactId=aem-project-archetype -D archetypeVersion=26 -D appTitle="WKND SPA React" -D appId="wknd-spa-react" -D artifactId="aem-guides-wknd-spa.react" -D groupId="com.adobe.aem.guides.wkndspa.react" -D frontendModule="react" -D aemVersion="6.5.0"

Screen Shot 2022-05-30 at 7.59.43 AM.png

2. Deploying project on AEM 6.5.0

Screen Shot 2022-05-30 at 8.01.20 AM.png


3. Visiting page 

Screen Shot 2022-05-30 at 8.02.10 AM.png

 

Specifications
AEM Version: 6.5.0
Java Version: 11.0.14.1
Maven Version: 
3.8.3

Regards,
Santosh

View solution in original post

2 Replies

Avatar

Correct answer by
Community Advisor

Hi @Vani1012 

wknd-spa-react works with AEM 6.5.0 with archetype 26. Please refer below

1. Building project with the command 

mvn -B archetype:generate -D archetypeGroupId=com.adobe.aem -D archetypeArtifactId=aem-project-archetype -D archetypeVersion=26 -D appTitle="WKND SPA React" -D appId="wknd-spa-react" -D artifactId="aem-guides-wknd-spa.react" -D groupId="com.adobe.aem.guides.wkndspa.react" -D frontendModule="react" -D aemVersion="6.5.0"

Screen Shot 2022-05-30 at 7.59.43 AM.png

2. Deploying project on AEM 6.5.0

Screen Shot 2022-05-30 at 8.01.20 AM.png


3. Visiting page 

Screen Shot 2022-05-30 at 8.02.10 AM.png

 

Specifications
AEM Version: 6.5.0
Java Version: 11.0.14.1
Maven Version: 
3.8.3

Regards,
Santosh

Avatar

Level 1

MujeebGo_0-1710413529861.png

Got this error when i try to build using mvn clean install
command:

mvn -B archetype:generate -D archetypeGroupId=com.adobe.aem -D archetypeArtifactId=aem-project-archetype -D archetypeVersion=26 -D appTitle="WKND SPA React" -D appId="wknd-spa-react" -D artifactId="aem-guides-wknd-spa.react" -D groupId="com.adobe.aem.guides.wkndspa.react" -D frontendModule="react" -D aemVersion="6.5.0"